package cz.muni.fi.pb162.test3;

import java.util.HashMap;
import java.util.Map;

/**
 * Tato trida reprezentuje objednavku.
 * 
 * @author Petr Adamek
 */
public class Order {
    
    /**
     * Prida do objednavky dany pocet kusu daneho produktu.
     *
     * @param product produkt
     * @param count pocet kusu
     */
    public void addItem(Product product, int count) {
        int oldCount = 0;
        if (content.containsKey(product)) {
            oldCount = content.get(product);
        } 
        content.put(product,oldCount + count);
    }

    public boolean equals(Object obj) {
        return (obj instanceof Order) && (content.equals(((Order) obj).content));
    }

    public int hashCode() {
        return content.hashCode();
    }
    
    public String toString() {
        return "Order " + content.toString();
    }

    private Map<Product,Integer> content = new HashMap<Product,Integer>();

}
